<!DOCTYPE html>
<%@ page contentType="text/html;charset=euc-kr"%>
<%@ page import="java.sql.*" %>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>JSP World</title>
<%@ include file="../include/jQueryMobile.inc" %>
</head>
</head>
<body>

<section data-role="page">

	<!-- 1.  -->
	<header data-role="header" data-theme="b">
		<%@ include file="../include/header.inc" %>
		<%@ include file="../include/menu.inc" %>
	</header> 

	<!-- 2.  -->
	<section data-role="content"> 

		<!--    Է Ű  -->
		<%
		// ȸ  ü 
		String pswd        = "";
		String gender      = "";
		String birthday    = "";
		String image       = "";
		String interest    = "";
		String date_joined = "";
		// DB  ü  
		Connection        conn  = null;
		PreparedStatement pstmt = null;
		ResultSet         rs    = null;
		ResultSet         rs2   = null;		
		String            sql   = "";
		String            rst   = "success";
		String            msg   = "";
		%>

		<%
		try {
		%>
			<!-- DB Open -->
			<%@ include file="../include/dbOpen.inc" %>
			
			<%
			// ȸ 
			sql = "select * " + 
				  " from ȸ " +        
				  "where ȸID = ? ";
			pstmt = conn.prepareStatement(sql);
			pstmt.setString(1, ID);
			rs = pstmt.executeQuery();
			if (rs.next()) {
				pswd     = rs.getString("йȣ");
				gender   = rs.getString("");	 
				birthday = rs.getString("");	 
				image    = rs.getString("ȸ");	 
				date_joined = rs.getString("");
				
				if (image == null || image.equals(""))
				    image = "sample.png";
				%>
				
				<img width=50% src="../contents/member_uploaded/<%= image %>">
				
				<form method="post" action="update.jsp" data-ajax="false">
				
					<fieldset data-role="fieldcontain">
					
						<!-- ID -->
						<label for="ID">ȸID:</label>
						<input type="text" id="ID" name="ID" value="<%= ID %>" size=10 maxlength=10 readonly />
						
						<!--  -->
						<label for="name">:</label>
						<input type="text" id="name" name="name" value="<%= name %>" size=10 maxlength=10 required="required"/>
						
						<!-- йȣ -->
						<label for="pswd">йȣ:</label>
						<input type="password" id="pswd" name="pswd" value="<%= pswd %>" size=10 maxlength=10 required="required"/>
						
						<!--  -->
						<fieldset data-role="controlgroup" data-type="horizontal">
						
						    <legend>:</legend>
							<%
							String check_gender = "";
							if (gender.equals("")) 
								check_gender = "checked";
							%>	
							<input type="radio" name="gender" id="gender-1" value="" <%= check_gender %> />
							<label for="gender-1"></label>

							<%
							check_gender = "";
							if (gender.equals("")) 
								check_gender = "checked";
							%>	
							<input type="radio" name="gender" id="gender-2" value="" <%= check_gender %> />
							<label for="gender-2"></label>
								
						</fieldset>
						
						<!--  -->
						<label for="birthday">:</label>
						<input type="date" id="birthday" name="birthday" value="<%= birthday %>" required="required"/>

						<!-- ɺо -->				    
						<fieldset data-role="controlgroup">
							<legend>ɺо:</legend>
							<%
							// ɺо߸   
							sql = "select ɺо߸ " + 
								  " from ɺо " +        
								  "order by ɺо߸ ";
							pstmt = conn.prepareStatement(sql);
							rs = pstmt.executeQuery();		
							int i=1;
                   			int cnt_interest = 0;				
							while(rs.next()) {
								interest = rs.getString("ɺо߸");
								
								// ȸɺо߸   
								sql = "select count(*) as cnt " + 
									  " from ȸɺо " +        
									  "where ȸID = ? " +
									  "  and ɺо߸ = ? ";
								pstmt = conn.prepareStatement(sql);
								pstmt.setString(1, ID);
								pstmt.setString(2, interest);
								rs2 = pstmt.executeQuery();
                                rs2.next(); 								
                                cnt_interest = rs2.getInt("cnt");	
                                String check_interest = "";
                                if (cnt_interest > 0) 
                                    check_interest = "checked";	
          					    %>
								<input type="checkbox" name="interest" id="checkbox-<%=i%>" value="<%= interest %>" <%= check_interest %> />
								<label for="checkbox-<%=i%>"><%= interest %></label>
								<%
								i++;
							} // while(125)
							%>
							
					    </fieldset>
					
					</fieldset>
					
					<p align="center">
					<button type=submit data-role="button" data-inline="true"></button>
					</p>
				</form>
		
		    <%	    
			} // if(58)
		} catch(SQLException e) {
			rst = "ýۿ";
			msg = e.getMessage();
		} finally {
			if(rs != null) 
				rs.close();
			if(pstmt != null) 
				pstmt.close();
			if(conn != null) 
				conn.close();
		} // try
        %>
		
		<!--  , б -->
		<%
		// DB  , ȭ ̵
		if(!rst.equals("success"))
			response.sendRedirect("../error/showError.jsp?rst=" + rst + "&msg=" + msg);
		%>
		
	</section>

	<!-- 3. Ǫ -->
	<footer data-role="footer" data-theme="a" data-position="fixed">
		<%@ include file="../include/businessInfo.inc" %>
	</footer>

</section>
</body>
</html>